{% extends "::layout.html.twig" %}
{% set section="tgp" %}

{% block head %}
    {{ parent() }}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/svg.js/2.6.4/svg.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-slider/10.0.0/bootstrap-slider.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropper/3.1.6/cropper.min.css"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/cropper/3.1.6/cropper.min.js"></script>
    <link rel="stylesheet" href="{{ asset("fonts/BebasNeue/stylesheet.css") }}"/>
{% endblock %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">TGP Test</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-6" id="test">
            <div id="tgp" class="svg-container"></div>
        </div>
        <div class="col-sm-6">
            <div class="row">
                <div class="col-sm-4">
                    <b>Position:</b>
                </div>
                <div class="col-sm-8">
                    <input id="tgp_position" value="N41 50.604 E041 47.998" class="form-control refreshTgp">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <b>Flight Level:</b>
                </div>
                <div class="col-sm-8">
                    <input id="tgp_fl" value="116" class="form-control refreshTgp">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <b>Height (ft):</b>
                </div>
                <div class="col-sm-8">
                    <input id="tgp_height" value="11490" class="form-control refreshTgp">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <b>Clock:</b>
                </div>
                <div class="col-sm-8">
                    <input id="tgp_clock" value="{{ "now" | date("H:i:m") }}" class="form-control refreshTgp">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <b>Distance to target:</b>
                </div>
                <div class="col-sm-8">
                    <input id="tgp_distance" value="15.2" class="form-control refreshTgp">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <b>Heading:</b>
                </div>
                <div class="col-sm-8">
                    <input id="tgp_heading" value="45" class="form-control refreshTgp">
                </div>
            </div>
            {#<div class="row">#}
            {#<div class="col-sm-4">#}
            {#<b>Scale:</b>#}
            {#</div>#}
            {#<div class="col-sm-8">#}
            {#<input id="scale" class="form-control" data-slider-id='scaleSlider' type="text" data-slider-min="0" data-slider-max="50" data-slider-step="1" data-slider-value="2"/>#}
            {#</div>#}
            {#</div>#}
            {#<div class="row">#}
            {#<div class="col-sm-4">#}
            {#<b>OffsetX:</b>#}
            {#</div>#}
            {#<div class="col-sm-8">#}
            {#<input id="offsetX" class="form-control" data-slider-id='offsetXSlider' type="text" data-slider-min="-1000" data-slider-max="1000" data-slider-step="100" data-slider-value="0"/>#}
            {#</div>#}
            {#</div>#}
            {#<div class="row">#}
            {#<div class="col-sm-4">#}
            {#<b>OffsetY:</b>#}
            {#</div>#}
            {#<div class="col-sm-8">#}
            {#<input id="offsetY" class="form-control" data-slider-id='offsetYSlider' type="text" data-slider-min="-1000" data-slider-max="1000" data-slider-step="100" data-slider-value="0"/>#}
            {#</div>#}
            {#</div>#}
            <div class="row">
                <div class="col-sm-6">
                    <button class="btn btn-primary" id="btnUploadImage"><i class="fa fa-upload"></i> Change photo</button>
                    <button class="btn btn-primary" id="btnCrop"><i class="fa fa-cut"></i> Crop</button>
                    <button class="btn btn-primary" id="btnDownloadImage" disabled="disabled"><i class="fa fa-download"></i> Download</button>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <input type="file" id="inputImage" value="Choose a file" accept="image/*" class="input-hidden">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <img src="/img/antenna.jpg" id="image" class="img-responsive">
                    {#<img src="/img/antenna.jpg" id="imageCrop" class="img-responsive">#}
                </div>
            </div>
        </div>
    </div>

    <img src="/img/antenna.jpg" id="imageCropped" class="hidden">

    <script src="{{ asset('/js/tgp.js') }}"></script>
    {#<script type="application/javascript" src="{{ asset("@AppBundle/Resources/public/js/tgp.js") }}"></script>#}
    <script type="application/javascript">

        var tgp;

        function refreshTgp() {
            console.log("refreshTgp");
            var strokeWidth = 5;
            tgp = SVG('tgp').size('100%', '100%').attr({"class": "svg-content", "viewBox": "0 0 1000 1000", "id": "svgTgp"});

            // load image
            tgp.image($("#imageCropped").attr('src')).loaded(function (loader) {
                this.size(1000, 1000);
            });

            // SPI
            var rect = tgp.rect(890, 890).move(55, 55).fill('none').stroke({width: '5', color: '#40f56d'});

            // cursor AREA
            var cursorPos = {x: 1000 / 2, y: 1000 / 2};
            var cursorDim = {x: 245, y: 245};
            var cursorBorder = 45;
            var cursorStroke = {width: '5', color: '#e0e0e0', linecap: 'round'};
            var cursorCross = 85;
            var cursorCrossPad = 25;
            // top left
            tgp.line(cursorPos.x - cursorDim.x / 2, cursorPos.y - cursorDim.y / 2, cursorPos.x - cursorDim.x / 2 + cursorBorder, cursorPos.y - cursorDim.y / 2).stroke(cursorStroke);
            tgp.line(cursorPos.x - cursorDim.x / 2, cursorPos.y - cursorDim.y / 2, cursorPos.x - cursorDim.x / 2, cursorPos.y - cursorDim.y / 2 + cursorBorder).stroke(cursorStroke);
            // top right
            tgp.line(cursorPos.x + cursorDim.x / 2, cursorPos.y - cursorDim.y / 2, cursorPos.x + cursorDim.x / 2 - cursorBorder, cursorPos.y - cursorDim.y / 2).stroke(cursorStroke);
            tgp.line(cursorPos.x + cursorDim.x / 2, cursorPos.y - cursorDim.y / 2, cursorPos.x + cursorDim.x / 2, cursorPos.y - cursorDim.y / 2 + cursorBorder).stroke(cursorStroke);
            // bottom left
            tgp.line(cursorPos.x - cursorDim.x / 2, cursorPos.y + cursorDim.y / 2, cursorPos.x - cursorDim.x / 2 + cursorBorder, cursorPos.y + cursorDim.y / 2).stroke(cursorStroke);
            tgp.line(cursorPos.x - cursorDim.x / 2, cursorPos.y + cursorDim.y / 2, cursorPos.x - cursorDim.x / 2, cursorPos.y + cursorDim.y / 2 - cursorBorder).stroke(cursorStroke);
            // bottom right
            tgp.line(cursorPos.x + cursorDim.x / 2, cursorPos.y + cursorDim.y / 2, cursorPos.x + cursorDim.x / 2 - cursorBorder, cursorPos.y + cursorDim.y / 2).stroke(cursorStroke);
            tgp.line(cursorPos.x + cursorDim.x / 2, cursorPos.y + cursorDim.y / 2, cursorPos.x + cursorDim.x / 2, cursorPos.y + cursorDim.y / 2 - cursorBorder).stroke(cursorStroke);

            // inner cursor
            tgp.line(cursorPos.x - cursorCrossPad, cursorPos.y, cursorPos.x - cursorCrossPad - cursorCross, cursorPos.y).stroke(cursorStroke);
            tgp.line(cursorPos.x + cursorCrossPad, cursorPos.y, cursorPos.x + cursorCrossPad + cursorCross, cursorPos.y).stroke(cursorStroke);
            tgp.line(cursorPos.x, cursorPos.y - cursorCrossPad, cursorPos.x, cursorPos.y - cursorCrossPad - cursorCross).stroke(cursorStroke);
            tgp.line(cursorPos.x, cursorPos.y + cursorCrossPad, cursorPos.x, cursorPos.y + cursorCrossPad + cursorCross).stroke(cursorStroke);


            tgp.plain('AREA').fill('#e0e0e0').font({
                family: 'Helvetica'
                , size: 50
                , variant: 'bold'
                // , anchor:   'middle'
                //, leading:  '1.5em'
            }).move(378, 734).stroke({width: 2, color: '#e0e0e0'});

            // target position
            tgp.rect(360, 32).move(cursorPos.x - 180, 865, cursorPos.x + 222).fill('#000000');
            var text = tgp.plain($('#tgp_position').val()).fill('#40f56d').font({
                family: 'Bebas Neue'
                , size: 30
                , variant: 'bold'
                , anchor: 'middle'
                //, leading:  '1.5em'
            }).move(cursorPos.x, 863);

            // ADI
            //tgp.rect(112, 112).move(18, 834).fill('#000000');

            // FL
            tgp.rect(37, 39).move(24, 945).fill('#000000');
            tgp.rect(16, 32).move(60, 952).fill('#000000');
            var fl = $("#tgp_fl").val();
            var fl100 = Math.floor(fl / 10);
            var fl1 = fl % 10;
            tgp.plain(fl100).fill('#40f56d').font({
                family: 'Bebas Neue'
                , size: 35
                , variant: 'bold'
                //, anchor: 'middle'
                //, leading:  '1.5em'
            }).move(28, 945);
            tgp.plain(fl1).fill('#40f56d').font({
                family: 'Bebas Neue'
                , size: 25
                , variant: 'bold'
                //, anchor: 'middle'
                //, leading:  '1.5em'
            }).move(60, 955);

            // height to target
            tgp.rect(96, 40).move(885, 62).fill('#000000');
            tgp.plain($('#tgp_height').val()).fill('#40f56d').font({
                family: 'Bebas Neue'
                , size: 40
                , variant: 'bold'
                , anchor: 'end'
                //, leading:  '1.5em'
            }).move(976, 62);

            // clock
            tgp.rect(155, 40).move(18, 789).fill('#000000');
            tgp.plain($('#tgp_clock').val()).fill('#40f56d').font({
                family: 'Bebas Neue'
                , size: 40
                , variant: 'bold'
                //, anchor: 'middle'
                //, leading:  '1.5em'
            }).move(38, 788);

            // distance to target
            tgp.plain($('#tgp_distance').val()).fill('#e0e0e0').font({
                family: 'Helvetica'
                , size: 50
                , variant: 'bold'
                , anchor: 'end'
                //, leading:  '1.5em'
            }).move(900, 734).stroke({width: 2, color: '#e0e0e0'});

            // heading
            var viewHdg = Math.floor($("#tgp_heading").val());
            var hdg = 180 - viewHdg;
            var hdgPos = {x: 790, y: 150};
            var hdgStroke = {width: '8', color: '#e0e0e0', linecap: 'round'};
            var hdgLength = 50;
            // "N"
            tgp.line(hdgPos.x - 19, hdgPos.y + 23, hdgPos.x - 19, hdgPos.y - 23).stroke(hdgStroke);
            tgp.line(hdgPos.x - 19, hdgPos.y - 23, hdgPos.x + 19, hdgPos.y + 23).stroke(hdgStroke);
            tgp.line(hdgPos.x + 19, hdgPos.y + 23, hdgPos.x + 19, hdgPos.y - 23).stroke(hdgStroke);
            // arrow
            tgp.line(0, 40, 0, -40).transform({rotation: hdg}).transform({x: hdgPos.x, y: hdgPos.y}).stroke({width: 5, color: '#e0e0e0'});
            tgp.polygon('0,60 -10,35, 10,35').transform({rotation: hdg}).transform({x: hdgPos.x, y: hdgPos.y}).fill('#e0e0e0');
        }

        $(document).ready(function () {
            $('#btnUploadImage').click(function () {
                $('#inputImage').click();
            });

            refreshTgp();

            $('.refreshTgp').keyup(function () {
                refreshTgp();
            });

            // download an image
            $("#btnDownloadImage").click(function () {
            });
        });
    </script>
{% endblock %}
